package stackjava.com.sblogging;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

import stackjava.com.sblogging.service.DemoService;

@SpringBootApplication
public class SpringBootLoggingApplication {
	
	private static Logger logger = LoggerFactory.getLogger(SpringBootLoggingApplication.class);

	public static void main(String[] args) {
		ApplicationContext applicationContext = SpringApplication.run(SpringBootLoggingApplication.class, args);
		logger.info("debug enabled: {}", logger.isDebugEnabled());
		logger.trace("trace");
		logger.debug("debug");
		logger.info("info");
		logger.warn("warn");
		logger.error("error");
		
		DemoService demoService = applicationContext.getBean(DemoService.class);
		demoService.hello();
	}
}
